function [Xw, T] = whitenRows(X)
%
% Syntax:       [Xw, T] = whitenRows(X);
%               
% Eingabe:      X ist eine (d x n)-Matrix mit n Abtastungen
%               eines d-dimensionalen Vektors von Zufallsvariablen
%               
% Outputs:      Xw is die whitening-transformierte Version von X
%               
%               T ist die (d x d) Transformationsmatrix von X
%               
% Description:  Gibt eine whitening-transformierte Version der
%               Eingabedaten zurck (Kovarianzmatrix = I)
%               
% Zur beachten: (a) n >= d muss fr vollstndiges Whitening
%                   erfllt sein
%               
%               (b) X = T \ Xcw
%               
%               

% Berechnen Sie die Kovarianzen der Abtastungen

% Fhren Sie das Whitening durch

